/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.so.api;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.apache.commons.cli.Options;
import org.ow2.petals.cli.api.shell.Shell;
import org.ow2.petals.cli.extension.command.monitoring.so.api.exception.SubscriptionObjectBadArgumentNumberException;
import org.ow2.petals.cli.extension.command.monitoring.so.api.exception.SubscriptionObjectException;

public class DummySubscriptionObject implements SubscriptionObject {

    private final List<EmittableDefect> emittableDefects = new ArrayList<EmittableDefect>();

    public DummySubscriptionObject() {
        this.emittableDefects.add(new EmittableDefect() {

            @Override
            public String getName() {
                return "dummy-defect-name";
            }

            @Override
            public String getDescription() {
                return "dummy-defect description";
            }
        });
    }

    @Override
    public String getName() {
        return "dummy";
    }

    @Override
    public String getDescription() {
        return "dummy mo description";
    }

    @Override
    public List<EmittableDefect> getEmittableDefects() {
        return Collections.unmodifiableList(this.emittableDefects);
    }

    @Override
    public void subscribe(String[] args) throws SubscriptionObjectBadArgumentNumberException,
            SubscriptionObjectException {
        // NOP
    }

    @Override
    public void unsubscribe(String[] args) throws SubscriptionObjectBadArgumentNumberException,
            SubscriptionObjectException {
        // NOP
    }

    @Override
    public void resetOptions() {
        // NOP
    }

    @Override
    public void setShell(Shell shell) {
        // NOP
    }

    @Override
    public Options getOptions() {
        return null;
    }

}
